Bug 818335 - ccs_sync exit code always zero
Summary: ccs_sync exit code always zero
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ricci
Version: 6.4
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Chris Feist
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On: 738008
Blocks: 756082
TreeView+ depends on / blocked
 
Reported: 2012-05-02 19:43 UTC by Chris Feist
Modified: 2013-02-21 10:47 UTC (History)
2 users (show)

Fixed In Version: ricci-0.16.2-56.el6
Doc Type: Bug Fix
Doc Text:
Clone Of: 738008
Environment:
Last Closed: 2013-02-21 10:47:40 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:0453 0 normal SHIPPED_LIVE ricci bug fix and enhancement update 2013-02-20 21:07:44 UTC

Comment 1 Chris Feist 2012-05-02 19:45:37 UTC
This bz covers two issues...

ccs_sync -asdfasdfasdf

This should have an exit value of '2', it currently returns '0'

When ccs_sync fails (if the host doesn't exist) it should return '1'

It currently does this
# ccs_sync -i -w
Out of memory for west-17.lab.bos.redhat.com
# echo $?
0

Comment 2 RHEL Program Management 2012-07-10 08:45:13 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 3 RHEL Program Management 2012-07-11 01:51:47 UTC
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.

Comment 4 Chris Feist 2012-10-12 20:16:18 UTC
Before Fix:


[root@ask-02 ~]# ccs_sync -asdfasdf
ccs_sync: invalid option -- 'a'
Usage: ccs_sync [options] [<host0> [... <hostN>]]
   -f <cluster_conf>            Path to the cluster.conf file to propagate.
   -c <NSS certificate DB>      Path to your cacert.pem file.
   -i                           Increment the configuration version before propagating.
   -h                           Print this help dialog.
   -p <port number>             Connect to ricci on the specified port.
   -w                           Exit with failure status if any warnings are issued.
   -v                           Print version information.
[root@ask-02 ~]# echo $?
0
[root@ask-02 ~]# ccs_sync -i -w
Out of memory for nonexist
[root@ask-02 ~]# echo $?
0

After Fix:

[root@ask-03 ccs_sync]# ccs_sync -asdfasdf
ccs_sync: invalid option -- 'a'
Usage: ccs_sync [options] [<host0> [... <hostN>]]
   -f <cluster_conf>            Path to the cluster.conf file to propagate.
   -c <NSS certificate DB>      Path to your cacert.pem file.
   -i                           Increment the configuration version before propagating.
   -h                           Print this help dialog.
   -p <port number>             Connect to ricci on the specified port.
   -w                           Exit with failure status if any warnings are issued.
   -v                           Print version information.
[root@ask-03 ccs_sync]# echo $?
2

[root@ask-03 ccs_sync]# ccs -h localhost --addnode nonexist
Node 'nonexist' already exists in cluster.conf
[root@ask-03 ccs_sync]# ccs_sync -i -w
Out of memory for nonexist
[root@ask-03 ccs_sync]# echo $?
1

Comment 8 errata-xmlrpc 2013-02-21 10:47:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0453.html


Note You need to log in before you can comment on or make changes to this bug.